Subject: Re: bug#30634: 26.0; doc string of `dired-do-create-files'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Mar 2018 17:32:45 +0200

> Date: Tue, 27 Feb 2018 10:12:18 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> The doc string says this, where "into-dir" is the only occurrence of
> that text in the doc string:
> 
>    The rest of into-dir are optional arguments.
> 
> This is incomprehensible.  Yes, in the _code_ of the function there is
> an internal, local variable named `into-dir', but it makes no sense to
> refer to that in the doc string.

Thanks, fixed.

> (The entire description of arg HOW-TO is too complicated, particularly
> the "Otherwise" part.  Apparently in this case HOW-TO is a function.  If
> that function returns a non-nil list then its car is a function of 4
> args...  An example or two might help.)

I didn't see it as overly complicated, I think it's very clear.